﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Grid.Default" %>
<%@MasterType VirtualPath="~/Site.Master" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=12.3400.0.36, Culture=neutral, PublicKeyToken=3D67ED1F87D44C89" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ, Version=12.3400.0.36, Culture=neutral, PublicKeyToken=3D67ED1F87D44C89" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <script src="Scripts/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="Scripts/jquery.easing-1.3.min.js" type="text/javascript"></script>
    <script src="Scripts/jquery.globalize.min.js" type="text/javascript"></script>
    <script src="Scripts/jsrender.min.js" type="text/javascript"></script>
    <script src="Scripts/ej/ej.web.all.min.js" type="text/javascript"></script>
    <script src="Scripts/ej/ej.webform.min.js" type="text/javascript"></script>
    <script type="text/x-jsrender" id ="templateAdjacent">
         {{for bikes}}
            <span>{{>value}}</span> 
            <span>{{>Text}}</span><br />
         {{/for}}
    </script>
    <style type="text/css">
        .ship
        { visibility:collapse; }
    </style>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
<asp:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="true" ></asp:ScriptManager>
    <p class="secA">Name :</p>
    <p class="secB">Company :</p>
    <p class="secC">E-mail :</p>
    <div class="row">
        <ej:Accordion ID="Accordion1" ClientSideOnClick="onActivate" runat="server"  EnableMultipleOpen="false" ClientSideOnBeforeClick="onInActivate" >
            <Items>
                <ej:AccordionItem Text="Section A" >
                    <ContentSection>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label id="label1" runat="server">Last Update :</asp:Label>
                                    <asp:Label id="label2" runat="server">00:00:00:000</asp:Label>
                                </td>
                            </tr>
                            <tr >
                                <td>Please register to receive e-mail updates abut new features when they’re available.
                                </td>
                            </tr>
                            <tr>
                                <td>Name (required)
                                            <input type="text" id="txtName" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td>Company (required)
                                            <input type="text" id="Text1" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td>E-mail (required)
                                            <input type="text" id="Text2" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td>Phone (required)
                                            <input type="text" id="Text3" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td align="center">
                                    <ej:Button ID="downloadBtn" Text="Free Download" runat="server"></ej:Button>

                                </td>
                            </tr>
                            <tr>
                                <td align="center">Existing User – <a href="#">Log in</a>
                                </td>
                            </tr>
                        </table>
                    </ContentSection>
                </ej:AccordionItem>
                <ej:AccordionItem Text="Section B" >
                    <ContentSection>
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:Label id="label3" runat="server">Last Update :</asp:Label><asp:Label id="label4" runat="server">00:00:00:000</asp:Label>
                                
                                <ej:Grid ID="FlatGrid" runat="server" AllowSorting="True" AllowPaging="True"
                                    OnServerEditRow="EditEvents_ServerEditRow" OnServerAddRow="EditEvents_ServerAddRow" 
                                    OnServerDeleteRow="EditEvents_ServerDeleteRow" editMode="dialogtemplate" >
                                    <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" Create="create" />
                                    <Columns>
                                        <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                                        <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                                        <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                                        <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                                        <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                                        <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
                                        <ej:Column Field="Adjacent" Width="20" Template="true" TemplateID="#templateAdjacent"/>
                                    </Columns>
                                    <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="dialogtemplate" DialogEditorTemplateID="#template"></EditSettings>
                                    <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
                                </ej:Grid>
                            </ContentTemplate>
                            <%--<Triggers>
                                <asp:PostBackTrigger controlid="FlatGrid"/>
                            </Triggers>--%>
                        </asp:UpdatePanel>
                    </ContentSection>
                </ej:AccordionItem>
                <ej:AccordionItem Text="Section C" >
                    <ContentSection>
                        <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:Label id="label5" runat="server">Last Update :</asp:Label><asp:Label id="label6" runat="server">00:00:00:000</asp:Label>
                                <ej:Grid ID="Grid1" runat="server" AllowSorting="True" 
                                    OnServerEditRow="B_EditEvents_ServerEditRow" OnServerAddRow="B_EditEvents_ServerAddRow" OnServerDeleteRow="B_EditEvents_ServerDeleteRow">
                                    <ClientSideEvents ActionComplete="B_complete" EndAdd="B_endAdd" EndDelete="B_endDelete" EndEdit="B_endEdit" Create="B_create" />
                                    <Columns>
                                        <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                                        <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                                        <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                                        <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                                        <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                                        <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
                                        <ej:Column Field="Adjacent" Width="20" Template="true" TemplateID="#templateAdjacent"/>
                                    </Columns>
                                    <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True"></EditSettings>
                                    <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
                                </ej:Grid>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger controlid="Grid1"/>
                            </Triggers>
                        </asp:UpdatePanel>
                    </ContentSection>
                </ej:AccordionItem>
            </Items>
        </ej:Accordion>

<script type="text/javascript">

    $(function () {
        $("#Accordion1 .e-content").each(function (length) {
            if (length == 0) {
                $(".secA").insertAfter($("#Accordion1 .e-content")[length]);
                $(".secA").hide();
            }
            else if (length == 1) {
                $(".secB").insertAfter($("#Accordion1 .e-content")[length]);
            }
            else {
                $(".secC").insertAfter($("#Accordion1 .e-content")[length]);
            }

        });

    });

    function onInActivate(args) {
        //$("#mvcDialog").ejDialog("close");
        if (args.inActiveIndex == 0) {
            $(".secA").text($(".secA").text() + $("#txtName").val()).show();
        }
        else if (args.inActiveIndex == 1) {
            $(".secB").text($(".secB").text() + $("#Text11").val()).show();
        }
        else {
            $(".secC").text($(".secC").text() + $("#Text22").val()).show();
        }
        // return false;
    }
    function onActivate(args) {
        if (args.activeIndex != undefined) {
            $("#mvcDialog").ejDialog("open");
            if (args.activeIndex == 0) {
                $(".secA").hide();
            }
            else if (args.activeIndex == 1) {
                $(".secB").hide();
            }
            else {
                $(".secC").hide();
            }
        }


    }
 </script>

    <script type="text/template" id="template">
        <b>Order Details</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">Order ID
                </td>
                <td style="text-align: left">
                    <input id="OrderID" name="OrderID" value="{{: OrderID}}" disabled="disabled"
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
                <td style="text-align: right;">Customer ID
                </td>
                <td style="text-align: left">
                    <input id="CustomerID" name="CustomerID" value="{{: CustomerID}}" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" />
                </td>
            </tr>
            <tr>
                <td style="text-align: right;">Freight
                </td>
                <td style="text-align: left">
                    <input type="text" id="Freight" name="Freight" value="{{:Freight}}" style="text-align: right;" />
                </td>
                <td style="text-align: right;">ShipCity
                </td>
                <td style="text-align: left">
                    <select id="ShipCity" name="ShipCity" onChange="_Change(this);">
                        <option value="Berlin">Berlin</option>
                        <option value="Madrid">Madrid</option>
                        <option value="Cholchester">Cholchester</option>
                        <option value="Marseille">Marseille</option>
                        <option value="Tsawassen">Tsawassen</option>
                    </select>
                </td>
            </tr>
            <tr class="ship">
                <td style="text-align: right;">Agacent
                </td>
                <td style="text-align: left">
                    <input id="Agacent" name="Agacent" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" value="{{:Agacent}}" />
                </td>
            </tr>
        </table>
    </script>
    <script type="text/javascript">
        
        function endAdd(args) {
            $("#FlatGrid").ejWaitingPopup("show");
        }
        function endDelete(args) {
            $("#FlatGrid").ejWaitingPopup("show");
        }
        function endEdit(args) {
            $("#FlatGrid").ejWaitingPopup("show");
        }
        
        function complete(args) {
            if (args.requestType == "refresh" || args.requestType == "save") {
                $("#FlatGrid").ejWaitingPopup("hide");
            }
            if ((args.requestType == "beginedit" || args.requestType == "add") && args.model.editSettings.editMode == "dialogtemplate") {

                $("#Freight").ejNumericTextbox({ value: parseFloat($("#Freight").val()), width: "116px", height: "28px", decimalPlaces: 2 });
                $("#Freight").css({ 'text-align': 'left' });

                if (args.requestType == "beginedit") {
                    $("#OrderID").attr("disabled", "disabled");
                    $("#ShipCity").ejDropDownList({ width: '116px', change: "_Change" }).ejDropDownList("setSelectedValue", args.row.children().eq(5).text());

                    $("#Agacent").ejDropDownList({ width: '116px', dataSource: this.model.columns[6].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(6).text());
                }
                else {
                    $("#ShipCity").ejDropDownList({ width: '116px', change: "_Change" });
                    $("#Agacent").ejDropDownList({ width: '116px', dataSource: this.model.columns[6].dataSource });
                }
                
            }
        }

        function _Change(args) {
            //var resp = document.getElementById('ShipCity').value;
            var resp = args.selectedText;
            var myClasses = document.querySelectorAll('.ship'), i = 0, l = myClasses.length;
            for (i; i < l; i++) {
                if (resp == 'Tsawassen')
                    myClasses[i].style.visibility = 'visible';
                else
                    myClasses[i].style.visibility = 'collapse';
            }
        }
    </script>
    <script type="text/javascript">

        function B_endDelete(args) {
            $("#Grid1").ejWaitingPopup("show");
        }
        function B_endEdit(args) {
            $("#Grid1").ejWaitingPopup("show");
        }

        function B_complete(args) {
            if (args.requestType == "refresh" || args.requestType == "save") {
                $("#Grid1").ejWaitingPopup("hide");
            }
            if ((args.requestType == "beginedit" || args.requestType == "add") && args.model.editSettings.editMode == "dialogtemplate") {

                $("#Freight").ejNumericTextbox({ value: parseFloat($("#Freight").val()), width: "116px", height: "28px", decimalPlaces: 2 });
                $("#Freight").css({ 'text-align': 'left' });

                if (args.requestType == "beginedit") {
                    $("#OrderID").attr("disabled", "disabled");
                    $("#ShipCity").ejDropDownList({ width: '116px', change: "_Change_B" }).ejDropDownList("setSelectedValue", args.row.children().eq(5).text());

                    $("#Agacent").ejDropDownList({ width: '116px', dataSource: this.model.columns[6].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(6).text());
                }
                else {
                    $("#ShipCity").ejDropDownList({ width: '116px', change: "_Change_B" });
                    $("#Agacent").ejDropDownList({ width: '116px', dataSource: this.model.columns[6].dataSource });
                }

            }
        }

        function _Change_B(args) {
            //var resp = document.getElementById('ShipCity').value;
            var resp = args.selectedText;
            var myClasses = document.querySelectorAll('.ship'), i = 0, l = myClasses.length;
            for (i; i < l; i++) {
                if (resp == 'Tsawassen')
                    myClasses[i].style.visibility = 'visible';
                else
                    myClasses[i].style.visibility = 'collapse';
            }
        }
    </script>
</asp:Content>
