﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Remoting.Messaging;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript.Web;

namespace Grid
{
    public partial class Default : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        List<Orders> order2 = new List<Orders>();
        List<Bikes> bike = new List<Bikes>();

        protected void Page_Load(object sender, EventArgs e)
        {
            label2.Text = DateTime.Now.ToString("MM/dd/yyyy hh:mm:ss");
            SecondSource();
            BindDataSource();
            BindDataSource_B();
            //this.ScriptManager1.RegisterPostBackControl(this.FlatGrid);
            //this.ScriptManager1.RegisterAsyncPostBackControl(this.FlatGrid);
        }


        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
            this.FlatGrid.DataSource = order;
            Session["DataSource"] = order;
            var index = this.FlatGrid.Columns.FindIndex(col => col.Field == "Adjacent");  //http://www.syncfusion.com/forums/118480/Fill-dropdownlist-that-is-inside-grid-cell-with-another-datasource
            this.FlatGrid.Columns.ElementAt(index).DataSource = bike;
            
            this.FlatGrid.DataBind();
        }

        private void BindDataSource_B()
        {
            int code = 10000;
            int i = 190;

                order2.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order2.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order2.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order2.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order2.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            this.Grid1.DataSource = order2;
            Session["DataSource2"] = order2;
            var index = this.Grid1.Columns.FindIndex(col => col.Field == "Adjacent");  //http://www.syncfusion.com/forums/118480/Fill-dropdownlist-that-is-inside-grid-cell-with-another-datasource
            this.Grid1.Columns.ElementAt(index).DataSource = bike;

            this.Grid1.DataBind();
        }

        private void SecondSource()
        {
            bike.Add(new Bikes(1, "Harley"));
            bike.Add(new Bikes(2, "Indian"));
            bike.Add(new Bikes(3, "Honda"));
            bike.Add(new Bikes(4, "Yamaha"));
            bike.Add(new Bikes(5, "Kawasaki"));
            bike.Add(new Bikes(6, "BMW"));
            bike.Add(new Bikes(7, "Cagiva"));
            bike.Add(new Bikes(8, "Triumph"));
        }

        protected void EditEvents_ServerEditRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerAddRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerDeleteRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditAction(string eventType, object record)
        {
            label4.Text = DateTime.Now.ToString("MM/dd/yyyy hh:mm:ss");
            List<Orders> data = Session["DataSource"] as List<Orders>;
            Dictionary<string, object> KeyVal = record as Dictionary<string, object>;
            if (eventType == "endEdit")
            {
                Orders value = new Orders();
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {

                    if (keyval.Key == "OrderID")
                    {
                        value = data.Where(d => d.OrderID == (int)keyval.Value).FirstOrDefault();
                        value.OrderID = Convert.ToInt32(keyval.Value);
                    }
                    else if (keyval.Key == "CustomerID")
                        value.CustomerID = Convert.ToString(keyval.Value);
                    else if (keyval.Key == "EmployeeID")
                        value.EmployeeID = Convert.ToInt32(keyval.Value);
                    else if (keyval.Key == "Freight")
                        value.Freight = Convert.ToDouble(keyval.Value);
                    else if (keyval.Key == "ShipCity")
                        value.ShipCity = Convert.ToString(keyval.Value);
                    else if (value.Adjacent == "Adjacent")
                        value.Adjacent = Convert.ToString(keyval.Value);
                }
            }

            else if (eventType == "endAdd")
            {
                Orders newRecord = new Orders();
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {
                    if (keyval.Value != string.Empty)
                    {
                        if (keyval.Key == "OrderID")
                            newRecord.OrderID = Convert.ToInt32(keyval.Value);
                        else if (keyval.Key == "CustomerID")
                            newRecord.CustomerID = Convert.ToString(keyval.Value);
                        else if (keyval.Key == "EmployeeID")
                            newRecord.EmployeeID = Convert.ToInt32(keyval.Value);
                        else if (keyval.Key == "Freight")
                            newRecord.Freight = Convert.ToDouble(keyval.Value);
                        else if (keyval.Key == "ShipCity")
                            newRecord.ShipCity = Convert.ToString(keyval.Value);
                        else if (keyval.Key == "Adjacent")
                            newRecord.Adjacent = Convert.ToString(keyval.Value);
                    }
                }
                data.Insert(0, newRecord);
            }

            else if (eventType == "endDelete")
            {
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {
                    if (keyval.Key == "OrderID")
                    {
                        Orders value = data.Where(d => d.OrderID == (int)keyval.Value).FirstOrDefault();
                        data.Remove(value);
                    }
                }
            }
            Session["DataSource"] = data;
            this.FlatGrid.DataSource = data;
            this.FlatGrid.DataBind();
        }

        
        protected void B_EditEvents_ServerEditRow(object sender, GridEventArgs e)
        {
            B_EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void B_EditEvents_ServerAddRow(object sender, GridEventArgs e)
        {
            B_EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void B_EditEvents_ServerDeleteRow(object sender, GridEventArgs e)
        {
            B_EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void B_EditAction(string eventType, object record)
        {
            label6.Text = DateTime.Now.ToString("MM/dd/yyyy hh:mm:ss");
            List<Orders> data = Session["DataSource2"] as List<Orders>;
            Dictionary<string, object> KeyVal = record as Dictionary<string, object>;
            if (eventType == "endEdit")
            {
                Orders value = new Orders();
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {

                    if (keyval.Key == "OrderID")
                    {
                        value = data.Where(d => d.OrderID == (int)keyval.Value).FirstOrDefault();
                        value.OrderID = Convert.ToInt32(keyval.Value);
                    }
                    else if (keyval.Key == "CustomerID")
                        value.CustomerID = Convert.ToString(keyval.Value);
                    else if (keyval.Key == "EmployeeID")
                        value.EmployeeID = Convert.ToInt32(keyval.Value);
                    else if (keyval.Key == "Freight")
                        value.Freight = Convert.ToDouble(keyval.Value);
                    else if (keyval.Key == "ShipCity")
                        value.ShipCity = Convert.ToString(keyval.Value);
                    else if (value.Adjacent == "Adjacent")
                        value.Adjacent = Convert.ToString(keyval.Value);
                }
            }

            else if (eventType == "endAdd")
            {
                Orders newRecord = new Orders();
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {
                    if (keyval.Value != string.Empty)
                    {
                        if (keyval.Key == "OrderID")
                            newRecord.OrderID = Convert.ToInt32(keyval.Value);
                        else if (keyval.Key == "CustomerID")
                            newRecord.CustomerID = Convert.ToString(keyval.Value);
                        else if (keyval.Key == "EmployeeID")
                            newRecord.EmployeeID = Convert.ToInt32(keyval.Value);
                        else if (keyval.Key == "Freight")
                            newRecord.Freight = Convert.ToDouble(keyval.Value);
                        else if (keyval.Key == "ShipCity")
                            newRecord.ShipCity = Convert.ToString(keyval.Value);
                        else if (keyval.Key == "Adjacent")
                            newRecord.Adjacent = Convert.ToString(keyval.Value);
                    }
                }
                data.Insert(0, newRecord);
            }
            else if (eventType == "endDelete")
            {
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {
                    if (keyval.Key == "OrderID")
                    {
                        Orders value = data.Where(d => d.OrderID == (int)keyval.Value).FirstOrDefault();
                        data.Remove(value);
                    }
                }
            }

            Session["DataSource2"] = data;
            this.Grid1.DataSource = data;
            this.Grid1.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity//, string adjacent
                )
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
                //this.Adjacent = adjacent;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
            public string Adjacent { get; set; }
        }

        [Serializable]
        public class Bikes
        {
            public Bikes()
            {

            }
            public Bikes(long Bike, string text)
            {
                this.value = Bike;
                this.text = text;
            }
            public long value { get; set; }
            public string text { get; set; }
        }
    }
}
